import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '权益标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '权益图片',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '权益内容',
    align:"center",
    dataIndex: 'details',
    slots: { customRender: 'htmlSlot' },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '权益标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '权益图片',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '权益内容',
    field: 'details',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
];
