import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '创建日期',
    align:"center",
    sorter: true,
    dataIndex: 'createTime'
   },
   {
    title: '类型',
    align:"center",
    dataIndex: 'type'
   },
   {
    title: '身份证或者营业执照',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '身份证号或者公=企业编码',
    align:"center",
    dataIndex: 'no'
   },
   {
    title: '性别',
    align:"center",
    dataIndex: 'sex'
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '邮寄地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'state'
   },
   {
    title: '用户',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '类型',
    field: 'type',
    component: 'InputNumber',
  },
  {
    label: '身份证或者营业执照',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '身份证号或者公=企业编码',
    field: 'no',
    component: 'Input',
  },
  {
    label: '性别',
    field: 'sex',
    component: 'Input',
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '邮寄地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '状态',
    field: 'state',
    component: 'InputNumber',
  },
  {
    label: '用户',
    field: 'userId',
    component: 'Input',
  },
];
